/dev/random

Имах една доста интересна закачка закачкатрябваше да създам огромен брой случайно генерирани пароли като имах изискване да са с определена дължина да съдържат големи малки букви и цифри, нормални неща. Звучи лесно нали и в общи линии е. Използвах /dev/urandom за оснонвата генерация и след това с един кратък конвейер филтрирах до желания брой знаци и видове знаци които трябва да се използват. Стига съм увъртал в основната скрипта е конвейера :

cat /dev/urandom | tr -dc '[:alnum:]' | fold -w 20| head -n 1

Така нека да разгледаме малко по подробно какво се случва тука. Взимаме изхода на cat /dev/urandom. След това го филтрираме да се показват само малки, големи букви и цифри. След това с fold ограничаваме дължината на низовете до желания от нас брой. Накрая лимитираме да се показва само 1 ред от целия изход. В общи линии лесно като 1-2-3. Ако искате да повишите сложността на паролата и със специалените символи в регуляярни израз на tr може да се използва :graph: vagy :print: вместо :alnum:, които включват всички символи без или със space.

cat /dev/urandom | tr -dc '[:graph:]' | fold -w 20 | head -n 1
Növeli Zemanta

Saját Debian emberek újra festett nadrág függőség. Azaz nem piszkos, de rúgja csomag ia32-libs, amely függ a skype. Én nem kommentálta, hogy miért a függőség, feltéve, hogy az x64 változat 😉 Így végül számos alkalmazás, amely közvetlenül dörzsölje a eltávolítása ez a csomag. A jó vagy rossz nem tud megbirkózni nélkülük így, hogy szükséges visszaállítani a csomag. A legtöbb legegyszerűbb megoldás az, hogy adjunk testing tárolóban és fontossági sorrendet alapvetően egészen így ismét ez 😀 A lépést lefelé vizsgálnia a rendszert, amikor már frissítette és ia32-libs ment.

1. Add testing tárolóban vagy ziháló- ez a kód neve a következő stabil Debian. Ebben /etc/apt/source.list fájljába hozzá egy sort, hogy úgy néz ki, hasonlóan

deb http://debian.ludost.net/debian/ wheezy main contrib non-free

2. Kiemelten kezeljük tesztcsomagok magasabb az instabil adattárak időpontjában a csomag még mindig ott van. Fájl létrehozása /etc/apt/preferences.d/apt (ez az én személyes választás) lehet az / etc / apt / beállítások helyett /etc/apt/preferences.d/ és adjuk hozzá a következő tartalommal

Package: *
Pin: release a=testing
Pin-Priority: 1010

3. apt-get update, hogy frissíteni kell az új tárolók és prioritások. Húzza le az új skype amely jelenleg verzió 4.0.0.8.1 és telepítse dpkg majd megjavítani a hiányzó csomagok

dpkg -i skype-debian_4.0.0.8-1_amd64.deb

apt-get install -f

 

В доста общи линии това е процедура за принудително сваляне на версиите на пакетите но аз съм я използвал само за тези за които ми трябва в последствие може дадете приоритет на ia32-libs ia32-libs-gtk lib32v4l-0 eltávolítható tesztelés feeder.

English: This is a side view of the read head ...

Tegnap volt, hogy vegye fel egy virtuális gép Windowds NTFS részem. Nagy meglepetésemre a gép kezdett, hogy húzza ki egy borzasztó sok virtualbox indításakor létrehozza a virtuális HDD. WFT ??? Most egy gyors és praktikus felső probléma. NTFS - 3g szántani a 100% CPU használat 3 6 az én mag. Mi furcsa. Miután láb elmélkedés a masztira rendelés probléma

/sbin/mount.ntfs-3g /dev/sda4 /media/disk1part4 -o rw

Nyilvánvalóan/dev/sda4 a mount Ed csak az alapértelmezett beállításokkal. NTFS-meghajtó általában van, nuttin aggódni az intenzív írás és olvasás további részvények, ha ők nem nyújtott neki egy kis csodálatos beállítások.

  1. big_writes – a legfontosabb választás-hoz csepp a terhelés intenzitását a rendszer segítségével a rekord nagy blokkok.
  2. noatime – felgyorsítja a rendszer megtiltja inode megújítása belépés idő Ha nem kell. Személy szerint nem kell
  3. windows_names – Itt nincs gyorsulás, de a fájlnevek kell kezelni az egyezmények, amelyek MS fájlnevek, nem számít, hogy ezek nagy, és kis betűkkel az azonos ilki.

Miután kijavítottam, mind a lehetőségek, hogy felmászik az én-m feloszt fstab a rekord, úgy nézett ki, mint ez

UUID=2213f519-f980-42bf-9e25-9201db38c458  /media/disk1part4  ntfs-3g  defaults,big_writes,windows_names,noatime 0 0

Növeli Zemanta

Egy ideig vettem észre, hogy már nem működik gnome shell kiterjesztés időjárás-egy ми. Általában nem bosszankodik frissült változata az én verzióm GNOME Shell. Furcsa, de korszerűsített nekem frissíteni változata gnome shell. Ezután elhagytam, защото не е болка за умира и още по малко имам време да се ровя в такива дребни грешки. De ma rájöttem, legfőbb ideje volt, hogy hagyja abba ezt, és leviszi csodák. Обнових git fákkal egy до последна версия, Telepítettem egy új – nincs változás. WTF. Aztán kimentem a make uninstall és mutat valami megdöbbentő, adjunk még inaktívvá által nem megújítható, és én eltávolított. Általában ezen a ponton azt feltételezték, hogy a telepített másik mappában kiterjesztések és ezért teszi szakaszok. Mostantól a dolgok mennek a következő forgatókönyvek. Megtalálni a neve az adalékanyag, megtalálni a hozzáadás és eltávolítás. Figyelembe nevét instaliranete adalékanyagok gnome shell nyek a következő paranccsal

gsettings get org.gnome.shell enabled-extensions

Amelynek a kimenete realizált, че имам активирана добавка с името [email protected]. móka. Приятното е в случая това е името на папката на добавката и лесно може да се локира местоположението и с командата

find / -name '[email protected]'

Тук нещата вече станаха лесни. От изхода на find-a разбрах, че го има в 2 папаки. Един бърз rm -rf на 2-те папаки и всичко си дойде на местата. Една бърза инсталация на добавката и рестарт на gnome shell.

Növeli Zemanta

Néhány nappal ki XAMPP 1.8.0 tegnap, miután frissítés verzió 1.7.7 Volt elég érdekes probléma. Phpmyadmin-és nem nyitja ki, és harsogva 403

Hozzáférés megtagadva!


Új XAMPP biztonsági koncepció:

Hozzáférés a kért objektum csak a helyi hálózaton.

Ez a beállítás lehet állítani a fájl “httpd-xampp.conf”.

Azonnal kinyitotta httpd-xampp.conf ami nekem az / opt / lampp / etc / extra /, Első pillantásra minden látszott finom. A szabályok a helyi hálózat között voltak. Eltekintve a nyitó localhost. WTF ??? Megnéztem a log-és látom, hogy a hozzáférés le van vágva a konfiguatsiyata. Itt most mi ziháltam és őszintén valamivel kevesebb szerencsével találta meg a problémát. Után megy át a httpd. conf, és látta a enged/tagad záradékok egy utolsó sorban Megköveteli az összes megadott. Oh EUREKA. Ez egy új ellenőrzési mechanizmus lépett Apache 2.4.x. Ez ad hozzáférést megtagadó vagy az ilyen finom, Alapvetően utánozza engedélyezése / tiltása funkciót :). A probléma hozzá szükség minden megadott, a/opt/lámpaoszlop/phpmyadmin mappa. Miután a változás bennem külleme

<Könyvtár “/opt / lampp / phpmyadmin”>
AllowOverride AuthConfig Limit
rendelés lehetővé,tagadni
Hagyjuk az összes
Megköveteli az összes megadott
</Könyvtár>

 

Viangi lehet próbálni egy másik vad, például a mappa átnevezéséhez phpmyadmin valami más, és nem álnevet. De ez csúnya és nem túl értelmes 🙂

p.s Megkérdezték tőlem, hogy miért használ XAMPP nem tiszta telepítés valamennyi komponens, mint ők az én Debian szül – a válasz az, tényleg nagyon egyszerű – LUSTASÁG. Én túl lusta, hogy írjon több parancs, akkor kap a konfovete stb.. Nagyon könnyű az veszi a egész pack razarhiviraš és a könnyű 😉

Növeli Zemanta